package com.diaoyun.zion.chinafrica.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * 用户领取优惠券列表实体
 * 表名 tb_cf_take_coupon
 *
 * @author lipengjun
 * @date 2019-08-29 11:33:33
 */
public class TbCfTakeCouponEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 领取id
     */
    private String takeId;
    /**
     * 用户id
     */
    private String userId;
    /**
     * 优惠券id
     */
    private String couponId;
    /**
     * 领取时间
     */
    private Date createTime;
    /**
     * 是否已经使用
     */
    private Integer enableFlag;

    /**
     * 设置：领取id
     */
    public void setTakeId(String takeId) {
        this.takeId = takeId;
    }

    /**
     * 获取：领取id
     */
    public String getTakeId() {
        return takeId;
    }
    /**
     * 设置：用户id
     */
    public void setUserId(String userId) {
        this.userId = userId;
    }

    /**
     * 获取：用户id
     */
    public String getUserId() {
        return userId;
    }
    /**
     * 设置：优惠券id
     */
    public void setCouponId(String couponId) {
        this.couponId = couponId;
    }

    /**
     * 获取：优惠券id
     */
    public String getCouponId() {
        return couponId;
    }
    /**
     * 设置：领取时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：领取时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    public Integer getEnableFlag() {
        return enableFlag;
    }

    public void setEnableFlag(Integer enableFlag) {
        this.enableFlag = enableFlag;
    }
}
